Get PR Metrics
curl --request GET \
--url https://api.devin.ai/v3/organizations/{org_id}/metrics/prs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3/organizations/{org_id}/metrics/prs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3/organizations/{org_id}/metrics/prs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"prs_closed_count": 123,
"prs_created_count": 123,
"prs_merged_count": 123,
"prs_opened_count": 123,
"prs_taken_over_closed_count": 0,
"prs_taken_over_count": 0,
"prs_taken_over_merged_count": 0,
"prs_taken_over_opened_count": 0
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}Metrics (Organization)
Get PR Metrics
Get aggregated PR metrics for the organization.
GET
/
v3
/
organizations
/
{org_id}
/
metrics
/
prs
Get PR Metrics
Permissions
Requires a service user with theViewOrgMetrics permission at the organization level.Authorizations
Service User credential (prefix: cog_)
Path Parameters
Organization ID (prefix: org-)
Example:
"org-abc123def456"
Query Parameters
Response
Successful Response
Response model for PR metrics.
PRs Devin authored that were closed without merging.
Total PRs Devin authored across all states (open + merged + closed).
PRs Devin authored that were merged.
PRs Devin authored that are currently open.
PRs Devin took over that were closed without merging.
Total PRs Devin took over across all states (open + merged + closed). A take-over is when Devin pushed commits to a PR it did not originally create.
PRs Devin took over that were merged.
PRs Devin took over that are currently open.

